Bug 607550 - spout: Ignoring frame while closing connection
spout: Ignoring frame while closing connection
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Gordon Sim
Jan Sarenik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 07:01 EDT by Jan Sarenik
Modified: 2011-08-12 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qpid broker trace log (21.84 KB, text/plain)
2010-06-24 07:01 EDT, Jan Sarenik
no flags Details

  None (edit)
Description Jan Sarenik 2010-06-24 07:01:29 EDT
Created attachment 426526 [details]
qpid broker trace log

When I run spout to fill the queue with messages, I get following
message starting at 13, i.e. './spout -c 13 "my-queue; {create: always}"':

  warning Ignoring frame while closing connection: Frame[BEbe; channel=1; {SessionDetachedBody: name=; code=3; }]

I am attaching qpid broker trace, run with following command:
/usr/sbin/qpidd --auth=no --mgmt-enable=no --no-module-dir -t &> qpidd-t.log

qmf-devel-0.7.946106-4.el5
qpid-cpp-client-devel-0.7.946106-4.el5
qpid-cpp-server-0.7.946106-4.el5
qpid-tools-0.7.946106-4.el5
 * the queue can be created by qpid-config instead of using extended
   address parameters for spout:

    $ qpid-config add queue my-queue
    $ spout -c 13 my-queue
Comment 1 Jan Sarenik 2010-06-24 07:03:14 EDT
When calling spout with different (higher, e.g. 10000) count parameter,
the message repeats more than once during one run.
Comment 2 Gordon Sim 2010-06-24 08:12:27 EDT
Fixed on trunk (r957513) and in release repo (http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commitdiff;h=abe5059836d94a9aa121e1211f080a4b3d2c03eb).
Comment 3 Jan Sarenik 2010-09-17 07:55:00 EDT
Works in
  qpid-cpp-server-0.7.946106-15.el5
  qpid-cpp-client-devel-0.7.946106-15.el5

Note You need to log in before you can comment on or make changes to this bug.